<template>
  <div class="profile mt-2 card">
    <div v-if="userData" class="columns card-content">
      <div class="column is-3">
        <avatar :user="userData" />
      </div>
      <div class="column is-9">
        <user-info v-model="userData.name" />
      </div>
    </div>
  </div>
</template>

<script>
import UserInfo from "../components/user/UserInfo.vue";
import Avatar from "../components/common/Avatar.vue";
export default {
  components: {
    UserInfo,
    Avatar,
  },
  data: function () {
    return {
      userData: null
    };
  },
  created(){
      this.userData = this.fetchData()
  },
  methods: {
      fetchData(){
          return {
          name: 'Long Ta',
          avatar: 'https://i.imgur.com/3McFm3K.png'
        }
      }
  }
};
</script>